input[type=text], input[type=password] {
  width: 100%;
  line-height: 40px;
  padding: 0 15px;
  box-sizing: border-box;
  font-size: 17px;
  // margin-bottom: 12px;
  color: #222;
  border: 1px solid #ccc;
  border-radius: 3px;
	&:focus {
		outline: 0;
		border-color: blue;
	}
  &:focus + .label::before {
// @extend .label-before;
color: blue;
	}
	&:valid + .label::before {
// @extend .label-before;
// content: attr(data-title);
	}
  &.invalid {
// @extend .label-before;
border: 2px solid red;
	}
  &:disabled {
    color: #777;
	}
  &:disabled + .label::before {
// @extend .label-before;
	}
}


.text-field {
	position: relative;
	margin-bottom: 12px;

  & div.error {
    font-size: 12px;
    color: red;
    padding-left: 3px;
    height: 10px;
  }

  label span.label {
    display: inline-block;
    margin-bottom: 2px;
    font-size: 14px;
    font-weight: bold;
  }


}


input[type=file] {
  display: none;
}
